import { BbLocalizeLowercaseFunction } from './functions/lowercase.function';
import { BbLocalizeMissingHandler } from './handlers/missing.handler';
import { BbLocalizeConfig } from './interfaces/config.interfaces';
import { BbLocalize } from './localize.service';
export declare class BbLocalizeModule {
    static forRoot(config: BbLocalizeConfig): {
        ngModule: typeof BbLocalizeModule;
        providers: (typeof BbLocalize | {
            provide: import("@angular/core").InjectionToken<(() => void)[]>;
            deps: (typeof BbLocalize)[];
            useFactory: typeof initializeLocale;
            multi: boolean;
            useValue?: undefined;
            useClass?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<string>;
            deps: (typeof BbLocalize)[];
            useFactory: typeof getLocale;
            multi?: undefined;
            useValue?: undefined;
            useClass?: undefined;
        } | {
            provide: typeof BbLocalizeConfig;
            useValue: BbLocalizeConfig;
            deps?: undefined;
            useFactory?: undefined;
            multi?: undefined;
            useClass?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<import("./interfaces/functions.interfaces").BbLocalizeFunction[]>;
            useClass: typeof BbLocalizeLowercaseFunction;
            multi: boolean;
            deps?: undefined;
            useFactory?: undefined;
            useValue?: undefined;
        } | {
            provide: typeof BbLocalizeMissingHandler;
            useClass: typeof BbLocalizeMissingHandler;
            deps?: undefined;
            useFactory?: undefined;
            multi?: undefined;
            useValue?: undefined;
        })[];
    };
}
export declare function initializeLocale(localize: BbLocalize): () => Promise<import("./localize.dictionary").BbLocalizeDictionary>;
export declare function getLocale(localize: BbLocalize): string;
