import { BbLocalizeFunction } from './interfaces/functions.interfaces';
import { BbLocalizeExtraDictionary } from './interfaces/dictionary.interfaces';
import { BbLocalizeParams } from './interfaces/options.interfaces';
import { BbLocalizeMissingHandler } from './handlers/missing.handler';
import { BbLocalizeConfig } from './interfaces/config.interfaces';
import { BbLanguages } from '../core/services/languages.service';
import { BbStorage } from '../core/services/storage.service';
import { BbLocalizeDictionary } from './localize.dictionary';
import { HttpClient } from '@angular/common/http';
export declare class BbLocalize {
    private _http;
    private _storage;
    private _languages;
    private _config;
    private _missingHandler;
    private _functions;
    private _extras;
    private readonly _dictionaries;
    private readonly _currentDictionary;
    private readonly _functionMiddleware;
    private readonly _storageToken;
    constructor(_http: HttpClient, _storage: BbStorage, _languages: BbLanguages, _config: BbLocalizeConfig, _missingHandler: BbLocalizeMissingHandler, _functions: BbLocalizeFunction[], _extras: BbLocalizeExtraDictionary[]);
    readonly dictionaries: BbLocalizeDictionary[];
    readonly current: BbLocalizeDictionary;
    readonly locale: string;
    initialize(): () => Promise<BbLocalizeDictionary>;
    change(id: string, reload?: boolean): void;
    clear(reload?: boolean): void;
    translate(tokenOrParams: string | BbLocalizeParams): any;
    private parseInterpolationData;
    private interpolateFunctionData;
    private findReferencesInTranslation;
    private getSubstitutions;
    private retrieveBestMatchingDictionary;
    private getDictionaryFromStorage;
    private getBestBrowserMatchDictionary;
    private convertToParams;
    private load;
    private getMatches;
    private reload;
}
